package com.its.vds.dao.mapper;

import com.its.vds.entity.TbVdsDtct;
import com.its.vds.entity.TbVdsDtctClct;
import com.its.vds.entity.TbVdsDtctStts;
import com.its.vds.entity.TbVdsDtctVehClct;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface VdsDtctMapper {

    List<TbVdsDtct> selectAll();

    int updateVdsDtctStts(@Param("obj") TbVdsDtctStts obj);
    int insertVdsDtctSttsHs(@Param("obj") TbVdsDtctStts obj);

    int insertVdsDtctClct(@Param("obj") TbVdsDtctClct obj);
    int insertVdsDtctVehClct(@Param("obj") TbVdsDtctVehClct obj);

}
